One row per creator enrollment on the Shopify or custom website store, with commission paid, unpaid and pending
GET
/api/public/v1/shopify/store_creatorsLiveAnswers from your brand's records now.
Operation id listShopifyStoreCreators
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/shopify/store_creators" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| start_date | query | string (date) | |
| end_date | query | string (date) | |
| platform | query | string | One of shopifywebsite |
| campaign_id | query | integer | |
| campaign_scope | query | string | One of ambassadorsocialall |
| creator_id | query | integer | |
| status | query | string | One of activecompletedremovedall |
| search | query | string | |
| paid_status | query | string | One of unpaidpaidpaid_externallypendingall |
| include_heavy_data | query | boolean | |
| sort_by | query | string | One of unpaidrevenuepaidpaid_externallypendingpage_viewsunique_clicks |
| sort_direction | query | string | One of ascdesc |
| page | query | integer | |
| per_page | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | array of object | |
| data[].[].active_discount_code | string, nullable | |
| data[].[].avatar_url | string, nullable | |
| data[].[].campaign_id | integer | |
| data[].[].campaign_name | string | |
| data[].[].commission_rate | number, nullable | |
| data[].[].id | integer | |
| data[].[].name | string, nullable | |
| data[].[].paid_amount | string | |
| data[].[].paid_externally_amount | string | |
| data[].[].pending_amount | string | |
| data[].[].status | string | |
| data[].[].store_affiliate_link | string, nullable | |
| data[].[].store_unique_tag | string, nullable | |
| data[].[].unpaid_amount | string | |
| data[].[].user_id | integer | |
| meta | object | |
| meta.current_page | integer | |
| meta.page_count | integer | |
| meta.row_count | integer | |
| success | boolean |
Example
{
"data": [
{
"active_discount_code": "MAYA15",
"avatar_url": "https://example.com/p/1",
"campaign_id": 1024,
"campaign_name": "Example name",
"commission_rate": 0.15,
"id": 1024,
"name": "Example name",
"paid_amount": "string",
"paid_externally_amount": "string",
"pending_amount": "string",
"status": "string",
"store_affiliate_link": "https://example.com/p/1",
"store_unique_tag": "string",
"unpaid_amount": "string",
"user_id": 1024
}
],
"meta": {
"current_page": 1,
"page_count": 1,
"row_count": 3
},
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.